#!/bin/sh
# $Id: build.sh,v 1.5 2003/01/19 02:41:53 tanderson Exp $

#
# Set up the environment
#
if [ -z "$JAVA_HOME" ] ; then
  JAVA=`which java`
  if [ -z "$JAVA" ] ; then
    echo "Cannot find JAVA. Please set your PATH."
    exit 1
  fi
  JAVA_BIN=`dirname $JAVA`
  JAVA_HOME=$JAVA_BIN/..
fi

JAVA=$JAVA_HOME/bin/java

#
# These are the libraries required to run ant and its associated tasks.
# Use build.xml to specify the libraries required to build
#
CP=$JAVA_HOME/lib/tools.jar

CP=lib/ant_1.5.jar:$CP
CP=lib/exolabtools-1.0.jar:$CP
CP=lib/oro-2.0.4.jar:$CP
CP=lib/xerces-J_1.3.1.jar:$CP
CP=lib/xslp_1.1.jar:$CP

#
# Execute the build tool passing the build.xml file
#
echo $CP
$JAVA -cp $CP -Dant.home=lib org.apache.tools.ant.Main "$@" -buildfile src/build.xml
